netatalk: ddp_usrreq.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddp_usrreq.c File Reference
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/systm.h>`
`#include <sys/user.h>`
`#include <sys/mbuf.h>`
`#include <sys/ioctl.h>`
`#include <sys/socket.h>`
`#include <sys/socketvar.h>`
`#include <sys/protosw.h>`
`#include <net/if.h>`
`#include <net/route.h>`
`#include "at.h"`
`#include "at_var.h"`
`#include "ddp_var.h"`

## Functions
| ddp_usrreq (struct socket *so, int req, struct mbuf *m, struct mbuf *addr, struct mbuf *rights)
| at_sockaddr (struct ddpcb *ddp, struct mbuf *addr)
| at_pcbsetaddr (struct ddpcb *ddp, struct mbuf *addr)
| at_pcbconnect (struct ddpcb *ddp, struct mbuf *addr)
| at_pcbdisconnect (struct ddpcb *ddp)
| at_pcballoc (struct socket *so)
| at_pcbdetach (struct socket *so, struct ddpcb *ddp)
struct ddpcb * | ddp_search (struct sockaddr_at *from, struct sockaddr_at *to, struct at_ifaddr *aa)
| ddp_init ()
| ddp_clean ()

## Variables
struct ddpcb * | ddpcb = NULL
uint32_t | ddp_sendspace = DDP_MAXSZ
uint32_t | ddp_recvspace = 10 * (587 + sizeof(struct sockaddr_at))

## Function Documentation

## ◆ at_pcballoc()

at_pcballoc | ( | struct socket * | so | ) |

## ◆ at_pcbconnect()

at_pcbconnect | ( | struct ddpcb * | ddp,
|  | struct mbuf * | addr )

## ◆ at_pcbdetach()

at_pcbdetach | ( | struct socket * | so,
|  | struct ddpcb * | ddp )

## ◆ at_pcbdisconnect()

at_pcbdisconnect | ( | struct ddpcb * | ddp | ) |

## ◆ at_pcbsetaddr()

at_pcbsetaddr | ( | struct ddpcb * | ddp,
|  | struct mbuf * | addr )

## ◆ at_sockaddr()

at_sockaddr | ( | struct ddpcb * | ddp,
|  | struct mbuf * | addr )

## ◆ ddp_clean()

ddp_clean | ( |  | ) |

## ◆ ddp_init()

ddp_init | ( |  | ) |

## ◆ ddp_search()

struct ddpcb * ddp_search | ( | struct sockaddr_at * | from,
|  | struct sockaddr_at * | to,
|  | struct at_ifaddr * | aa )

## ◆ ddp_usrreq()

ddp_usrreq | ( | struct socket * | so,
|  | int | req,
|  | struct mbuf * | m,
|  | struct mbuf * | addr,
|  | struct mbuf * | rights )

## Variable Documentation

## ◆ ddp_recvspace

uint32_t ddp_recvspace = 10 * (587 + sizeof(struct sockaddr_at))

## ◆ ddp_sendspace

uint32_t ddp_sendspace = DDP_MAXSZ

Max ddp size + 1 (ddp_type)

## ◆ ddpcb

struct ddpcb* ddpcb = NULL